Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Sirius » Problem with installing Sirius
Problem with installing Sirius [message #1194458] Mon, 18 November 2013 09:19 Go to next message
Nawel Amok is currently offline Nawel Amok
Messages: 8
Registered: November 2013
Junior Member
Hello,

trying to install Sirius for the first time from the update site with Juno.
the installation operation can not be completed, because of these problems :

Cannot complete the install because one or more required items could not be found.
Software being installed: Sirius Runtime Support for Acceleo 3 0.9.0.201311151109 (org.eclipse.sirius.runtime.acceleo.feature.group 0.9.0.201311151109)
Missing requirement: Sirius Support for Acceleo 3 Expressions 0.9.0.201311151109 (org.eclipse.sirius.common.acceleo.mtl 0.9.0.201311151109) requires 'bundle com.google.guava 11.0.0' but it could not be found
Cannot satisfy dependency:
From: Sirius Runtime Support for Acceleo 3 0.9.0.201311151109 (org.eclipse.sirius.runtime.acceleo.feature.group 0.9.0.201311151109)
To: org.eclipse.sirius.common.acceleo.mtl [0.9.0.201311151109]

would any one know what i should do exactly ?

PS: I am a begginer in this :/

Nawel
Re: Problem with installing Sirius [message #1194594 is a reply to message #1194458] Mon, 18 November 2013 10:44 Go to previous messageGo to next message
Pierre-Charles David is currently offline Pierre-Charles David
Messages: 124
Registered: July 2009
Senior Member
Le 18/11/2013 15:23, Nawel Amok a écrit :
> Hello,

Hello.

> trying to install Sirius for the first time from the update site with Juno.
> the installation operation can not be completed, because of these
> problems :
[snip]

> would any one know what i should do exactly ?

Sorry about that; Sirius depends on a version of the Guava library which
is not available by default from a Juno install. You need to add the
Orbit update-site at
http://download.eclipse.org/tools/orbit/downloads/drops/R20130827064939/repository/
(Orbit is an update site which publishes libraries from outside Eclipse
(like Guava) that Eclipse project can safely depend upon).

> PS: I am a begginer in this :/

Before re-trying to install Sirius, go to "Window > Preferences" and
then in "Install/Update > Available Software Sites". Click on the "Add"
button at the right, enter "Orbit" for the name and
http://download.eclipse.org/tools/orbit/downloads/drops/R20130827064939/repository/
for the URL and then OK.

Re-doing the install after this should work.

I will complete the wiki with these additional steps required for Juno
(though not for Kepler).

Regards,
Pierre-Charles David
Re: Problem with installing Sirius [message #1194673 is a reply to message #1194458] Mon, 18 November 2013 10:32 Go to previous messageGo to next message
Pierre-Charles David is currently offline Pierre-Charles David
Messages: 124
Registered: July 2009
Senior Member
Le 18/11/2013 15:23, Nawel Amok a écrit :
> Hello,

Hello.

> trying to install Sirius for the first time from the update site with Juno.
> the installation operation can not be completed, because of these
> problems :
>
[snip]

> would any one know what i should do exactly ?

Sorry about that; Sirius depends on a version of the Guava library which
is not available by default from a Juno install. You need to add the
Orbit update-site at
http://download.eclipse.org/tools/orbit/downloads/drops/R20130827064939/repository/.

> PS: I am a begginer in this :/
>
> Nawel
Re: Problem with installing Sirius [message #1200831 is a reply to message #1194594] Thu, 21 November 2013 07:40 Go to previous message
Nawel Amok is currently offline Nawel Amok
Messages: 8
Registered: November 2013
Junior Member
Hollo,

thank you, the install worked.

(sorry for the late answer)

Nawel
Previous Topic:Sirius 0.9 install problem on Kepler
Next Topic:Sirius and Xtext
Goto Forum:
  


Current Time: Wed Aug 20 12:37:20 EDT 2014

Powered by FUDForum. Page generated in 0.01678 seconds